<?php

/**
 * UPgates
 * @link	https://www.upgates.cz/api-v2
 */

require __DIR__ . '/../src/Client.php';

/* API URL - https://<PROJECT_NAME>.<SERVER_NAME>.admin.upgates.com/api/v2/<SERVICE> */
$url = '';

/* URL PARAMETERS */
$params = [];

/* METHOD - UPgates API supports PUT, POST, GET, DELETE. It depends on used service */
$method = '';

/* LOGIN - name of project, You can find it in administration */
$login = '';

/* PASSWORD - name of project, You can find it in administration */
$password = '';

/* REQUEST BODY - json string, It depends on used service and method */
$body = ''; // json_encode(["products" => [] ]);

/* CLIENT - create client */
$client = new \UPgates\Api\Client($method, $url, $params);

/* Set authentication */
$client->setAuth($login, $password);

/* Set body */
if ($body) {
	$client->setBody($body);
}

/* CALL API */
$result = $client->call();

/* dump result */
var_dump($result);
